/*
Copyright (C) 2004 Relja Arandjelovic, see COPYING

    This file is part of RA Pai Gaw Poker.

    RA Pai Gaw Poker is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <iostream.h>
#include <fstream.h>

const int KEC=14; // kec=14, kralj=13,dama=12,zandar=11 da bude lakse
const int KRALJ=13;

typedef struct {
  short vred,boja;
} Karta;

// Dzoker.boja=0

void sortRuku(Karta r[],int n);
int UporediRuke(Karta r1[], Karta r2[]);
int Uporedi2sa2(Karta r1[], Karta r2[]);
int Uporedi2saRukom(Karta r1[], Karta R2[]);

int PetKeceva(Karta r[], int n);

int index(Karta r[], int sta, int poc, int n);
void raz(Karta &x, Karta &y);

void POKER_funkzaproveru1();
void POKER_funkzaproveru2();
