/*
Copyright (C) 2004 Relja Arandjelovic, see COPYING

    This file is part of RA Pai Gaw Poker.

    RA Pai Gaw Poker is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <iostream.h>
#include <stdio.h>
#include <SDL.h>
#include <SDL_ttf.h>

class Font{

 private:

  int X,Y,N;
  int Kod[2][100];
  char Char[2][100];

  void NacrtajRec(SDL_Surface *ekran, SDL_Surface *slika, Uint16 sirina);

  void KojeSlovo(char ch, int &rednibr, int &malo);
  Uint16 KojKod(char ch);

  void PostaviXY(int x, int y){X=x; Y=y;}
  void NoviRed(TTF_Font *font, int x_poc){
    PostaviXY(x_poc,Y+23);//TTF_FontLineSkip(font));
  }

 public:

  void Inicijalizuj(char fontpath[],char font[]);
  
  void Napisi(SDL_Surface *ekran, TTF_Font *font, SDL_Color &Fg, SDL_Color &Bg, char str[], int x_poc, int y, int x_kraj);

};
